<?php
/**
 * Options au chargement du plugin Login Hash
 *
 * @plugin     Login Hash
 * @copyright  2019
 * @author     Matthieu Marcillaud
 * @licence    GNU/GPL
 * @package    SPIP\Loginhash\Options
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/**
 * Génère un hash pour un login (un md5 aléatoire)
 * @return string
 */
function loginhash_generer_hash() {
	return md5(rand() + time());
}

/**
 * À la nouvelle inscription d’un auteur, générer un login aléatoire.
 * (Les connexions se font prioritairement avec l’email)
 *
 * @uses test_inscription_dist()
 */
function test_inscription($statut, $mail, $nom, $options) {
	if (empty($options['login'])) {
		$options['login'] = loginhash_generer_hash();
	}
	return test_inscription_dist($statut, $mail, $nom, $options);
}

